Subject: bug#12587: 24.2; Delayed startup, unresponsive Emacs in MS Windows when netlogon services is running in a domain

From: Eli Zaretskii <[email-masked]>
Date: Wed, 17 Oct 2012 18:14:34 +0200

> Date: Wed, 17 Oct 2012 10:47:44 +0200
> From: Mohammed Imaduddin Humayun <[email-masked]>
> CC: Eli Zaretskii <[email-masked]>
> 
> On 10/14/2012 4:53 PM, Eli Zaretskii wrote:
> > No, that's fine. I think the issue with CreateThread is a red herring 
> > anyway, sorry. The only additional information I'd like to see is the 
> > backtrace during the time between the instance the GUI shows up and 
> > the welcome screen. Thanks. 
> 
> Here it is:
> [...]
> Thread 1 (Thread 12476.0x1db0):
> #0 0x770f0542 in ntdll!RtlInitOutOfProcessMemoryStream ()
> from C:\Windows\SysWOW64\ntdll.dll
> #1 0x770f0542 in ntdll!RtlInitOutOfProcessMemoryStream ()
> from C:\Windows\SysWOW64\ntdll.dll
> #2 0x748775df in RPCRT4!NdrConformantVaryingArrayMarshall ()
> from C:\Windows\syswow64\rpcrt4.dll
> #3 0x40020000 in ?? ()
> #4 0x00caeff8 in ?? ()
> #5 0x74877a7f in RPCRT4!NdrConformantVaryingArrayMarshall ()
> from C:\Windows\syswow64\rpcrt4.dll
> #6 0x00caeff8 in ?? ()
> #7 0x74877982 in RPCRT4!NdrConformantVaryingArrayMarshall ()
> from C:\Windows\syswow64\rpcrt4.dll
> #8 0x00cc7e98 in ?? ()
> #9 0x74880071 in RPCRT4!I_RpcEnableWmiTrace ()
> from C:\Windows\syswow64\rpcrt4.dll
> #10 0x0088d890 in ?? ()
> #11 0x74877391 in RPCRT4!NdrConformantVaryingArrayMarshall ()
> from C:\Windows\syswow64\rpcrt4.dll
> #12 0x0088d8bc in ?? ()
> #13 0x7487804b in UuidCreateNil () from C:\Windows\syswow64\rpcrt4.dll
> #14 0x7487801a in UuidCreateNil () from C:\Windows\syswow64\rpcrt4.dll
> #15 0x75540d3e in SECHOST!LsaLookupGetDomainInfo ()
> from C:\Windows\SysWOW64\sechost.dll
> #16 0x755345e8 in ?? () from C:\Windows\SysWOW64\sechost.dll
> #17 0x75540966 in SECHOST!LsaLookupTranslateNames ()
> from C:\Windows\SysWOW64\sechost.dll
> #18 0x75540a4c in SECHOST!LsaLookupTranslateSids ()
> from C:\Windows\SysWOW64\sechost.dll
> #19 0x7554030b in SECHOST!LookupAccountNameLocalW ()
> from C:\Windows\SysWOW64\sechost.dll
> #20 0x7554050c in SECHOST!LookupAccountSidLocalA ()
> from C:\Windows\SysWOW64\sechost.dll
> #21 0x76771e1b in LookupAccountSidW () from C:\Windows\syswow64\advapi32.dll
> #22 0x010572d7 in lookup_account_sid (lpSystemName=0x0, Sid=0xcba790,
> Name=0x88e2af "wéÜ‚t \002", cbName=0x88e2a8,
> DomainName=0x88dea8 "<Þ\210", cbDomainName=0x88dea4, peUse=0x88e3b0)
> at w32.c:495
> #23 0x0105b343 in get_name_and_id (psd=0xcba760,
> fname=0x88e450 "c:\\emacs-24.2.50\\info\\", id=0x88e6d4, nm=0x88e7f4 "",
> what=2) at w32.c:3437
> #24 0x0105b43c in get_file_owner_and_group (psd=0xcba760,
> fname=0x88e450 "c:\\emacs-24.2.50\\info\\", st=0x88e6c0) at w32.c:3467
> #25 0x0105b91c in stat_worker (path=0x164a5c2 "\\emacs-24.2.50\\info\\",
> buf=0x88e6c0, follow_symlinks=1) at w32.c:3689
> #26 0x0105bf49 in stat (path=0x367e1bc "c:/emacs-24.2.50/info/", 
> buf=0x88e6c0) at w32.c:3865
> #27 0x01067a18 in Ffile_exists_p (filename=60362113) at fileio.c:2506

Thanks, this is the same issue as your first backtrace.

So now I'm sure that the calls to 'stat' to find out whether files
exist are the culprit, and I hope that due to the changes I made in
the development sources, which avoid calling 'stat' for this purpose,
the next release of Emacs will be free of this problem.

If you can afford it, please try the next development snapshot that
will appear here:

  http://alpha.gnu.org/gnu/emacs/windows/

I will wait for you or someone else to try a recent snapshot and
report the results, before I close the bug.

Thanks again for your efforts in this matter.